- Qt 6.9
- Qt Quick
- C++ Classes
- Attribute
- Qt 6.9.2 Reference Documentation

# QSGGeometry::Attribute Struct

struct QSGGeometry::Attribute

The QSGGeometry::Attribute describes a single vertex attribute in a QSGGeometry. More...

- List of all members, including inherited members

## Static Public Members

QSGGeometry::Attribute | create(int pos, int tupleSize, int primitiveType, bool isPosition = false)
QSGGeometry::Attribute | createWithAttributeType(int pos, int tupleSize, int primitiveType, QSGGeometry::AttributeType attributeType)

## Detailed Description

The QSGGeometry::Attribute struct describes the attribute register position, the size of the attribute tuple and the attribute type.

It also contains a hint to the renderer if this attribute is the attribute describing the position. The scene graph renderer may use this information to perform optimizations.

It contains a number of bits which are reserved for future use.

See also QSGGeometry.

## Member Function Documentation

### `[static]` QSGGeometry::Attribute Attribute::create(int pos, int tupleSize, int primitiveType, bool isPosition = false)

Creates a new QSGGeometry::Attribute for attribute register pos with tupleSize. The primitiveType can be any of the supported types from QSGGeometry::Type, such as QSGGeometry::FloatType or QSGGeometry::UnsignedByteType.

If the attribute describes the position for the vertex, the isPosition hint should be set to `true`. The scene graph renderer may use this information to perform optimizations.

Use the create function to construct the attribute, rather than an initialization list, to ensure that all fields are initialized.

### `[static]` QSGGeometry::Attribute Attribute::createWithAttributeType(int pos, int tupleSize, int primitiveType, QSGGeometry::AttributeType attributeType)

Creates a new QSGGeometry::Attribute for attribute register pos with tupleSize. The primitiveType can be any of the supported types from QSGGeometry::Type, such as QSGGeometry::FloatType or QSGGeometry::UnsignedByteType.

attributeType describes the intended use of the attribute.

Use the create function to construct the attribute, rather than an initialization list, to ensure that all fields are initialized.